IF EXISTS (SELECT *
	   FROM   SYSOBJECTS O, SYSUSERS U
           WHERE     
	          O.NAME = 'ETL_DRO' 
           AND    TYPE   = 'P' 	              
	   AND    U.UID  = O.UID               
	   AND    U.NAME = USER
          )
	  DROP PROCEDURE ETL_DRO
GO

CREATE PROCEDURE ETL_DRO (  @P_DTINI  DATETIME,
                            @P_DTFIM  DATETIME)
AS
   DECLARE @V_DTINI   DATETIME;
   DECLARE @V_DTFIM   DATETIME;

   DECLARE @V_FATLIQ_MEDICAO     DOUBLE PRECISION;
   DECLARE @V_FATLIQ_NF          DOUBLE PRECISION;
   DECLARE @V_FATMEDICAO         DOUBLE PRECISION;
   DECLARE @V_FATNOTAFISCAL      DOUBLE PRECISION;
   DECLARE @V_DESPESADIVER       DOUBLE PRECISION;
  
--________________Curso C_ETL___________________--

   DECLARE @V_CDFILIAL            VARCHAR(04);          
   DECLARE @V_CDAREAGERE          VARCHAR(12);
   DECLARE @V_CDSEGMER            VARCHAR(12);
   DECLARE @V_CDEMPRESA           VARCHAR(02);
   DECLARE @V_CDSUPERVISOR        VARCHAR(12);
   DECLARE @V_DTINICIALBI         VARCHAR(23);
   DECLARE @V_CDGOPERAC           VARCHAR(12);
   DECLARE @V_CDTIPOFATUR         VARCHAR(03);       
--______________________________________________--

   DECLARE @V_IMPOSTO_FAT        DOUBLE PRECISION;
   DECLARE @V_FATURAMENTO_SAID   DOUBLE PRECISION;

   DECLARE @V_VRCONSUMOTOTAL     DOUBLE PRECISION;
   DECLARE @V_DESPESAENTRA       DOUBLE PRECISION;
   DECLARE @V_DESPESAMAO         DOUBLE PRECISION;
   DECLARE @V_IMPOSTO_FAT_MED    DOUBLE PRECISION;
   DECLARE @V_IMPOSTO_FAT_NF     DOUBLE PRECISION;


   DECLARE @V_TIPOFATU           VARCHAR(30);

   DECLARE @V_ANO                VARCHAR(04);
   DECLARE @V_MES                VARCHAR(02);
   DECLARE @V_TRI                VARCHAR(10);
   DECLARE @V_BIM                VARCHAR(10);
   DECLARE @V_SEM                VARCHAR(10);

   DECLARE @V_ZERO               NUMERIC;
   DECLARE @V_CONT               NUMERIC;
   DECLARE @V_CONT2               NUMERIC;

   DECLARE @V_CDGRUPPRODROP      VARCHAR(10);
   DECLARE @V_CDSUBGRPRODROP     VARCHAR(10);
   DECLARE @V_VRCONSENTRA        DOUBLE PRECISION;
   DECLARE @V_VRCONSSAIDA        DOUBLE PRECISION;
   DECLARE @V_VRAJUSTE           DOUBLE PRECISION;
   DECLARE @V_VRIMPLANTA         DOUBLE PRECISION;
   DECLARE @V_VRDESPESARET       DOUBLE PRECISION;
   DECLARE @V_VRRETISERVPRI      DOUBLE PRECISION;

   DECLARE @V_DESPESASDIVER      DOUBLE PRECISION;
   DECLARE @V_QTEFETSERVPRI      DOUBLE PRECISION;
   DECLARE @V_VREFETNPRIN        DOUBLE PRECISION;
   DECLARE @V_VREFETSERVPRIN     DOUBLE PRECISION;
   DECLARE @V_QTEFETSERVEQU      DOUBLE PRECISION;
   DECLARE @V_VRPUETLDRO         DOUBLE PRECISION;

   DECLARE @V_VRTOTINVFINAL      DOUBLE PRECISION;
   DECLARE @V_NUMDIAS            DOUBLE PRECISION; 
   DECLARE @V_VRTOTINVINIC	      DOUBLE PRECISION;
   DECLARE @V_NRDIAESTETLDRO	   DOUBLE PRECISION;

   /* VARIAVEIS ESPECFICAS DO FORSALE */
   DECLARE @V_FATBRUTO_FORSALE  FLOAT;
   DECLARE @V_IMPOSTO_FORSALE   FLOAT;

BEGIN

   SET @V_IMPOSTO_FAT         = 0;
   SET @V_FATURAMENTO_SAID    = 0;
   SET @V_DESPESAMAO          = 0;
   SET @V_FATMEDICAO          = 0;
   SET @V_FATNOTAFISCAL       = 0;
   SET @V_VRCONSUMOTOTAL      = 0;
   SET @V_DESPESAENTRA        = 0;
   SET @V_FATBRUTO_FORSALE    = 0;
   SET @V_IMPOSTO_FORSALE     = 0;

   SET @V_CONT                = 0;
   SET @V_CONT2               = 0;


   SET @V_MES = RIGHT(REPLICATE('0', 2) + (CONVERT(VARCHAR, MONTH(@P_DTINI))), 2);
   SET @V_ANO = CONVERT(VARCHAR, YEAR (@P_DTINI));

   SET @V_DTINI = CONVERT(DATETIME,('01/'+@V_MES+'/'+@V_ANO), 103);

   WHILE (@V_DTINI <= @P_DTFIM) BEGIN
    BEGIN TRANSACTION

      SET @V_DTFIM = DATEADD (MM, 1, @V_DTINI) - DAY(@V_DTINI);
      SET @V_ANO =  CONVERT(VARCHAR, YEAR (@V_DTFIM));
      SET @V_MES =  RIGHT(REPLICATE('0', 2) + (CONVERT(VARCHAR, MONTH(@V_DTFIM))), 2);
      SET @V_BIM =  CONVERT(VARCHAR,(ROUND(((@V_MES - 1) / 2),0) + 1))+' Bim';
      SET @V_TRI =  CONVERT(VARCHAR,(ROUND(((@V_MES - 1) / 3),0) + 1))+' Tri';
      SET @V_SEM =  CONVERT(VARCHAR,(ROUND(((@V_MES - 1) / 6),0) + 1))+' Sem';

      DECLARE C_ETL CURSOR FOR
         (SELECT
                F.CDFILIAL,        F.CDAREAGERE,        F.CDSEGMER,
                F.CDEMPRESA,       F.CDSUPERVISOR,      F.DTINICIALBI,
                F.CDGOPERAC,       PF.CDTIPOFATUR
          FROM
                FILIAL F, PARAMFILIAL PF
          WHERE
                F.CDFILIAL = PF.CDFILIAL
           AND  F.IDFUNCAOFILI IS NULL
          AND   F.DTINICIALBI IS NOT NULL
          AND   PF.CDTIPOFATUR IS NOT NULL
          AND   ISNULL(IDCNTRRESC, 'N') = 'N');

      OPEN C_ETL;
       FETCH NEXT FROM C_ETL INTO

                @V_CDFILIAL,        @V_CDAREAGERE,        @V_CDSEGMER,
                @V_CDEMPRESA,       @V_CDSUPERVISOR,      @V_DTINICIALBI,
                @V_CDGOPERAC,       @V_CDTIPOFATUR;

       WHILE(@@FETCH_STATUS = 0)BEGIN

         SET @V_CONT = @V_CONT + 1;
         IF @V_CONT >= 100 BEGIN
            SET @V_CONT = 0;
            BEGIN TRANSACTION
         END;

         DELETE FROM ETLDRO
          WHERE (CDFILIAL = @V_CDFILIAL)
            AND ((CDANOBI > @V_ANO) OR
                (CDANOBI = @V_ANO AND CDMESBI >= @V_MES));



         DELETE FROM ETLDRODADOSAGRU
          WHERE (CDFILIAL = @V_CDFILIAL)
            AND ((CDANOBI > @V_ANO) OR
               (CDANOBI = @V_ANO AND CDMESBI >= @V_MES));

         IF (CONVERT (DATETIME, ('01' + '/' + CONVERT(VARCHAR, MONTH(@V_DTINICIALBI))+'/'+ CONVERT (VARCHAR,YEAR(@V_DTINICIALBI)))) <= @V_DTINI) BEGIN

            SET @V_DESPESASDIVER = 0;
            SET @V_DESPESAENTRA  = 0;
            SET @V_DESPESAMAO    = 0;
            SET @V_FATNOTAFISCAL = 0;
            SET @V_FATMEDICAO    = 0;
            SET @V_QTEFETSERVPRI = 0;
            SET @V_VREFETNPRIN   = 0;
            SET @V_VREFETSERVPRIN = 0;
            SET @V_VRCONSUMOTOTAL = 0;

            SET @V_FATLIQ_MEDICAO  =  0;
            SET @V_IMPOSTO_FAT_MED =  0;
            SET @V_VRCONSUMOTOTAL  =  0;
            SET @V_FATLIQ_NF       =  0;
            SET @V_IMPOSTO_FAT_NF  =  0;
            SET @V_QTEFETSERVEQU   =  0;
            SET @V_FATBRUTO_FORSALE= 0;
            SET @V_IMPOSTO_FORSALE = 0;

            SELECT @V_DESPESASDIVER    = ISNULL(SUM((CASE IDTPLANCROP WHEN 'DD' THEN VRITEMLANCROP  ELSE 0 END)),0),
                   @V_DESPESAENTRA     = ISNULL(SUM((CASE IDTPLANCROP WHEN 'DE' THEN VRITEMLANCROP  ELSE 0 END)),0),
                   @V_DESPESAMAO       = ISNULL(SUM((CASE IDTPLANCROP WHEN 'DM' THEN VRITEMLANCROP  ELSE 0 END)),0),
                   @V_FATNOTAFISCAL    = ISNULL(SUM((CASE IDTPLANCROP WHEN 'FS' THEN VRITEMLANCROP  ELSE 0 END)),0),
                   @V_FATMEDICAO       = ISNULL(SUM((CASE IDTPLANCROP WHEN 'FE' THEN VRITEMLANCROP  ELSE 0 END)),0),
                   @V_FATBRUTO_FORSALE = ISNULL(SUM((CASE IDTPLANCROP WHEN 'FF' THEN VRITEMLANCROP  ELSE 0 END)),0),
                   @V_IMPOSTO_FORSALE  = ISNULL(SUM((CASE IDTPLANCROP WHEN 'FF' THEN VRIMPITLANCROP ELSE 0 END)),0),
                   @V_QTEFETSERVPRI  = ISNULL(SUM((CASE IDTPLANCROP WHEN 'FE' THEN (CASE IT.CDITEMLANCROP WHEN S.CDSERVFILI THEN
                       (CASE IDSERVPRINC WHEN  'S' THEN QTITEMLANCROP ELSE 0 END) ELSE 0 END) ELSE 0 END)),0),
                   @V_VREFETNPRIN    = ISNULL(SUM((CASE IDTPLANCROP WHEN 'FE' THEN (CASE IT.CDITEMLANCROP WHEN S.CDSERVFILI THEN
                       (CASE IDSERVPRINC WHEN  'S' THEN 0 ELSE  VRITEMLANCROP END) ELSE 0 END) ELSE 0 END)),0),
                   @V_VREFETSERVPRIN = ISNULL(SUM((CASE IDTPLANCROP WHEN 'FE' THEN (CASE IT.CDITEMLANCROP WHEN S.CDSERVFILI THEN
                       (CASE IDSERVPRINC WHEN  'S' THEN VRITEMLANCROP ELSE 0 END) ELSE 0 END) ELSE 0 END)),0)

              FROM LANCROPFILIAL L,  ITLANCROPFILIAL IT LEFT JOIN  SERVICO  S ON
                                             (IT.CDFILIAL   = S.CDFILIAL) AND
                                             (IT.CDITEMLANCROP = S.CDSERVFILI)

             WHERE (L.CDFILIAL       = @V_CDFILIAL)
               AND (L.IDTPLANCROP    IN ('DD', 'DE', 'DM', 'FS', 'FE'))
               AND (L.CDFILIAL       = IT.CDFILIAL   )
               AND (L.NRROPFILIAL    = IT.NRROPFILIAL)
               AND (L.NRLANCROP      = IT.NRLANCROP  )
               AND (L.DTLANCROP  BETWEEN @V_DTINI AND @V_DTFIM);


            IF @V_QTEFETSERVPRI > 0 AND @V_VREFETSERVPRIN > 0 BEGIN
               SET @V_QTEFETSERVEQU = @V_VREFETNPRIN/(@V_VREFETSERVPRIN/@V_QTEFETSERVPRI);
            END;

            DECLARE C_DADOSAGRUDRO CURSOR FOR
               (SELECT CDGRUPPRODROP, CDSUBGRPRODROP,
                      ISNULL(SUM((CASE IDTPLANCROP WHEN 'CC' THEN VRITEMLANCROP ELSE 0 END)),0) AS  VRCONSENTRA,
                      ISNULL(SUM((CASE IDTPLANCROP WHEN 'CS' THEN VRITEMLANCROP ELSE 0 END)),0) AS  VRCONSSAIDA,
                      ISNULL(SUM((CASE IDTPLANCROP WHEN 'AJ' THEN VRITEMLANCROP ELSE 0 END )),0) AS  VRAJUSTE,
                      ISNULL(SUM((CASE IDTPLANCROP WHEN 'IM' THEN VRITEMLANCROP ELSE 0 END )),0) AS  VRIMPLANTA,
                      ISNULL(SUM((CASE IDTPLANCROP WHEN 'RE' THEN VRITEMLANCROP WHEN 'RP' THEN VRITEMLANCROP ELSE  0 END)),0) AS  VRDESPESARET,
                      ISNULL(SUM((CASE IDTPLANCROP WHEN 'RP'THEN (CASE IDSERVPRINC WHEN 'S' THEN VRITEMLANCROP ELSE 0  END) ELSE 0 END)),0)AS VRRETISERVPRI

                 FROM
                      LANCROPFILIAL L, ITLANCROPFILIAL IT LEFT JOIN SERVICO  S ON
                 					 (IT.CDFILIAL   = S.CDFILIAL) AND
                                                         (IT.CDITEMLANCROP = S.CDSERVFILI)

                WHERE
                      (L.CDFILIAL       = @V_CDFILIAL)
                 AND  (L.IDTPLANCROP    IN ('CC', 'CS', 'RE', 'RP', 'AJ', 'IM'))
                 AND  (L.CDFILIAL       = IT.CDFILIAL   )
                 AND  (L.NRROPFILIAL    = IT.NRROPFILIAL)
                 AND  (L.NRLANCROP      = IT.NRLANCROP  )
                 AND  (L.DTLANCROP  BETWEEN @V_DTINI AND @V_DTFIM)
                 AND  (CDSUBGRPRODROP IS NOT NULL)
                GROUP BY CDGRUPPRODROP, CDSUBGRPRODROP) ;

            OPEN C_DADOSAGRUDRO;
            FETCH NEXT FROM C_DADOSAGRUDRO INTO
                                    @V_CDGRUPPRODROP, @V_CDSUBGRPRODROP,@V_VRCONSENTRA,
                                    @V_VRCONSSAIDA, @V_VRAJUSTE, @V_VRIMPLANTA, @V_VRDESPESARET,
                                    @V_VRRETISERVPRI;

            WHILE(@@FETCH_STATUS = 0)BEGIN

               SET @V_VRTOTINVINIC = 0;
               SET @V_VRTOTINVFINAL = 0;

               SELECT
                     @V_VRTOTINVINIC = ISNULL(SUM((CASE IDTPLANCROP WHEN 'II' THEN VRITEMLANCROP ELSE 0 END)),0),
                     @V_VRTOTINVFINAL = ISNULL(SUM((CASE IDTPLANCROP WHEN 'IF' THEN VRITEMLANCROP ELSE 0 END)),0)
                 FROM LANCROPFILIAL L, ITLANCROPFILIAL IT
                WHERE ((L.CDFILIAL     = @V_CDFILIAL)
                   OR (CDFILCENTROP   = @V_CDFILIAL))
                  AND ((L.DTLANCROP = @V_DTINI AND IDTPLANCROP = 'II')
                   OR (L.DTLANCROP  = @V_DTFIM   AND IDTPLANCROP = 'IF'))
                  AND (L.CDFILIAL       = IT.CDFILIAL)
                  AND (L.NRROPFILIAL    = IT.NRROPFILIAL)
                  AND (L.NRLANCROP      = IT.NRLANCROP)
                  AND (CDSUBGRPRODROP =  @V_CDSUBGRPRODROP);

               IF (@V_QTEFETSERVPRI > 0) AND (@V_QTEFETSERVPRI > 0) BEGIN
                  SET @V_VRPUETLDRO = ROUND(@V_VRRETISERVPRI/@V_QTEFETSERVPRI,2);
               END;

               SET @V_NUMDIAS = CONVERT(INTEGER,@V_DTFIM) - CONVERT(INTEGER,@V_DTINI)+1;

               IF @V_VRDESPESARET <> 0 BEGIN
                  SET @V_NRDIAESTETLDRO = ROUND(@V_VRTOTINVFINAL / (@V_VRDESPESARET/@V_NUMDIAS),0);
               END;

               INSERT INTO ETLDRODADOSAGRU
                   (CDFILIAL, CDEMPRESA, CDAREAGERE, CDSUPERVISOR, CDSEGMER, CDGOPERAC, CDANOBI,
                    CDMESBI, BIETLDRO, TRETLDRO, SEETLDRO, CDGRUPPROD, CDSUBGRPROD,  VRPOSINIETLDRO,
                    VRPOSFIMETLDRO, VRENTRETLDRO, VRSAIDETLDRO, VRBAIXAETLDRO, VRAJUETLDRO,
                    VRIMPETLDRO, VRPUETLDRO, NRDIAESTETLDRO)

               VALUES
                   (@V_CDFILIAL, @V_CDEMPRESA, @V_CDAREAGERE, @V_CDSUPERVISOR, @V_CDSEGMER,
                    @V_CDGOPERAC, @V_ANO, @V_MES, @V_BIM, @V_TRI, @V_SEM,  @V_CDGRUPPRODROP, @V_CDSUBGRPRODROP,
                    @V_VRTOTINVINIC, @V_VRTOTINVFINAL, @V_VRCONSENTRA, @V_VRCONSSAIDA, @V_VRDESPESARET,
                    @V_VRAJUSTE, @V_VRIMPLANTA, @V_VRPUETLDRO, @V_NRDIAESTETLDRO);


               SET @V_VRCONSUMOTOTAL  = @V_VRCONSUMOTOTAL + @V_VRDESPESARET;
               FETCH NEXT FROM C_DADOSAGRUDRO INTO
                                    @V_CDGRUPPRODROP, @V_CDSUBGRPRODROP,@V_VRCONSENTRA,
                                    @V_VRCONSSAIDA, @V_VRAJUSTE, @V_VRIMPLANTA, @V_VRDESPESARET,
                                    @V_VRRETISERVPRI;

            END;

            CLOSE C_DADOSAGRUDRO;
            DEALLOCATE C_DADOSAGRUDRO;

            ---IMPOSTOS FATURAMENTO - POR MEDIO E POR NF---

               SELECT
                @V_IMPOSTO_FAT_MED = ISNULL(SUM((CASE IDTPLANCROP WHEN 'FE' THEN (CASE IDTRATIMPROP WHEN 'D' THEN VRITRELITROP *(-1) ELSE (CASE IDTRATIMPROP WHEN 'V' THEN 0 ELSE VRITRELITROP END)END)ELSE 0 END)),0),
                @V_IMPOSTO_FAT_NF  = ISNULL(SUM((CASE IDTPLANCROP WHEN 'FS' THEN ( CASE IDTRATIMPROP WHEN 'D' THEN VRITRELITROP *(-1) ELSE (CASE IDTRATIMPROP WHEN 'V' THEN 0 ELSE VRITRELITROP END)END) ELSE 0 END)),0)
               FROM
                  LANCROPFILIAL L,
                  ITLANCROPFILIAL IT, ITRELACITROP IR, IMPOSTOROP IM
               WHERE
                    (L.CDFILIAL      = @V_CDFILIAL)
               AND l.IDTPLANCROP IN ('FE', 'FS')
               AND  (L.CDFILIAL      = IT.CDFILIAL    )
               AND  (L.NRROPFILIAL   = IT.NRROPFILIAL )
               AND  (L.NRLANCROP     = IT.NRLANCROP   )
               AND  (IT.CDFILIAL     = IR.CDFILIAL    )
               AND  (IT.NRROPFILIAL  = IR.NRROPFILIAL )
               AND  (IT.NRLANCROP    = IR.NRLANCROP   )
               AND  (IT.NRITLANCROP  = IR.NRITLANCROP )
               AND  (IM.CDFILIAL = TEKNISA.TIPOPARAM_DRO(IT.CDFILIAL))
               AND  (IR.CDITRELITROP = IM.CDIMPOSTO)
               AND  (IM.IDTPIMPOSTOROP = 'FE')
               AND  (L.DTLANCROP  BETWEEN @V_DTINI AND @V_DTFIM );


               SET @V_FATLIQ_MEDICAO = (@V_FATMEDICAO + @V_IMPOSTO_FAT_MED);
               SET @V_FATLIQ_NF = (@V_FATNOTAFISCAL + @V_IMPOSTO_FAT_NF);

               SET @V_TIPOFATU = CASE @V_CDTIPOFATUR
                                    WHEN '001'  THEN   'Gesto Direta'
                                    WHEN '003'  THEN   'Mandato'
                                    WHEN '004'  THEN   'Refeies e Servicos'
                                    WHEN '005'  THEN   'Taxa Fixa'
                                    WHEN '006'  THEN   'Gesto Hospitalar'
                                    WHEN '007'  THEN   'Produtos e Servios'
                                    WHEN '008'  THEN   'Produtos e Servios'
                                    ELSE 'Sem Tipo Faturamento'
                                 END;

               INSERT INTO ETLDRO
                     (
                       CDFILIAL            ,   CDEMPRESA             ,    CDAREAGERE      ,
                       CDSUPERVISOR        ,   CDSEGMER              ,    CDGOPERAC       ,
                       DSTIPOFATGER        ,   CDANOBI               ,    CDMESBI         ,
                       BIETLDRO            ,   TRETLDRO              ,    SEETLDRO        ,
                       VRFATMEDETLDRO      ,   VRFATLIQMEDDRO        ,    VRIMPFATMEDDRO  ,
                       VRCONSETLDRO        ,   VRDESPETLDRO          ,    VRMAOBETLDRO    ,
                       VRNFFATETLDRO       ,   VRFATLIQNFDRO         ,    VRIMPFATNFDRO   ,
                       QTTOTEFSERPRDRO     ,   QTTOTEFEQPRIDRO       ,    VRFATBRUETLDROF ,
                       VRIMPOETLDROF       ,   DTREFERENCIAETL       ,    VRFATBRUETLDRO  ,
                       VRFATLIQETLDRO      ,   VRIMPOETLDRO)
               VALUES
                     (
                       @V_CDFILIAL, @V_CDEMPRESA, @V_CDAREAGERE , @V_CDSUPERVISOR,
                       @V_CDSEGMER, @V_CDGOPERAC, @V_TIPOFATU, @V_ANO, @V_MES, @V_BIM, @V_TRI, @V_SEM,
                       @V_FATMEDICAO, @V_FATLIQ_MEDICAO, ABS(@V_IMPOSTO_FAT_MED), @V_VRCONSUMOTOTAL, @V_DESPESASDIVER + @V_DESPESAENTRA ,
                       @V_DESPESAMAO, @V_FATNOTAFISCAL,  @V_FATLIQ_NF, ABS(@V_IMPOSTO_FAT_NF),
                       ROUND(@V_QTEFETSERVPRI,0), ROUND(@V_QTEFETSERVEQU,0), @V_FATBRUTO_FORSALE,
                       @V_IMPOSTO_FORSALE, CONVERT (DATETIME,('01/' + @V_MES+'/'+ @V_ANO)),
                       ROUND(@V_FATMEDICAO + @V_FATNOTAFISCAL + @V_FATBRUTO_FORSALE,2),
                       ROUND(@V_FATLIQ_MEDICAO + @V_FATLIQ_NF + (@V_FATBRUTO_FORSALE-@V_IMPOSTO_FORSALE),2),
                       ROUND(ABS(@V_IMPOSTO_FAT_MED) + ABS(@V_IMPOSTO_FAT_NF) + ABS(@V_IMPOSTO_FORSALE),2));

               SET @V_CONT2 = @V_CONT2 + 1;
               IF @V_CONT2 >= 100 BEGIN
                  SET @V_CONT2 = 0;
                  COMMIT TRANSACTION;
               END;

         END; /* FIM IF / CONFERE DTINICIALBI <= DTINICIO */

       FETCH NEXT FROM C_ETL INTO

                @V_CDFILIAL,        @V_CDAREAGERE,        @V_CDSEGMER,
                @V_CDEMPRESA,       @V_CDSUPERVISOR,      @V_DTINICIALBI,
                @V_CDGOPERAC,       @V_CDTIPOFATUR;
      END; /* FIM LOOP CURSOR C_ETL */

      CLOSE C_ETL;

      DEALLOCATE C_ETL;

    COMMIT TRANSACTION;
      SET @V_DTINI = DATEADD(MM,1,@V_DTINI);
   END  ; /* FIM LOOP WHILE DATA/INI. DADTA/FIM */
END   ; /* FIM PROCEDURE */
GO

-- VERSAO --
EXEC ATUVEROBJ 'ETL_DRO','5.11.000';

GO
